/*
=====================
Модуль скачан с сайта:
Понедельников НЕТ! - Сайт альтернативной поддержки Slaed CMS! (http://www.ponedelnikov.net)
=====================
SHAKA1, 2009
e-mail: seregam007@mail.ru
=====================
*/
MyOtzivCl = function() {
    var siteAdr = 'http://www.mymobilka.net.ru/';
   var sitetitle = '"<i>Можно сломать шпагу, нельзя истребить идею...</i>" &copy; Виктор Мари Гюго';
    this.mo_get_win_width = function() {
        var myWidth = 0;
        if( typeof( window.innerWidth ) == 'number' ) //Non-IE
            myWidth = window.innerWidth;
        else if( document.documentElement && document.documentElement.clientWidth ) //IE 6+ in 'standards compliant mode'
            myWidth = document.documentElement.clientWidth;
        else if( document.body && document.body.clientWidth) //IE 4 compatible
            myWidth = document.body.clientWidth;
        return myWidth;
    }
	
    this.mo_get_win_height = function() {
        var myHeight = 0;
        if( typeof( window.innerHeight ) == 'number' ) //Non-IE
            myHeight = window.innerHeight;
        else if( document.documentElement && document.documentElement.clientHeight ) //IE 6+ in 'standards compliant mode'
            myHeight = document.documentElement.clientHeight;
        else if( document.body && document.body.clientHeight) //IE 4 compatible
            myHeight = document.body.clientHeight;
        return myHeight;
    }

    this.mo_get_scrol = function() {
        var yPos = 0;
        if (self.pageYOffset) {
            yPos = self.pageYOffset;
        } else if (document.documentElement && document.documentElement.scrollTop){
            yPos = document.documentElement.scrollTop;
        } else if (document.body) {
            yPos = document.body.scrollTop;
        }
        return yPos;
    }

    this.mo_show_box = function() {
	    if (document.getElementById("fthere").innerHTML == "") {
		    document.getElementById("fthere").innerHTML = "<iframe src=\""+siteAdr+"index.php?name=Ideas&op=popup_idea\" width=\"627\" height=\"250\" align=\"left\" style=\"border: 0; position:relative;\" frameborder=\"0\" scrolling=\"no\">Frame error</iframe>";
		}
        var l = this.mo_get_win_width()/2 - 350;
        var t = this.mo_get_win_height()/2 - 200 + this.mo_get_scrol();
        document.getElementById('myotziv_box').style.top  = t+'px';
        document.getElementById('myotziv_box').style.left = l+'px'; 
        document.getElementById('myotziv_box').style.display='block';
    }

    this.mo_hide_box = function() {
        document.getElementById('myotziv_box').style.display='none';
    }
    
    this.mo_showcss = function() {
        document.write("<style type=\"text/css\">");
        
        document.write(".tdsfh{background: url('"+siteAdr+"ideas/images/orange-tmpl/feedback_tab.png');}");
        document.write("* html .tdsfh{background-image: none; filter: progid:DXImageTransform.Microsoft.AlphaImageLoader(src='"+siteAdr+"ideas/images/orange-tmpl/feedback_tab.png');}");  
        document.write(".widsnjx {margin:0 auto; position:relative;}");
        document.write(".widsnjx fieldset {padding:0; border:none; border:0px solid #000; margin:0; width: 600px; }");
        document.write(".furjbqy {position:fixed; left:0; top:263px; z-index:5; width:22px; height:151px;}* html .furjbqy {position:absolute;top: expression((76 + (ignoreMe = document.documentElement.scrollTop ? document.documentElement.scrollTop : document.body.scrollTop)) + 'px');}.furjbqy a {display:block; width:22px; height:151px; background:#FFA000;}.furjbqy a:hover {background:#FFA000;}.furjbqy img {border:0;}");
        document.write(".furrghtd {position:fixed; right:1px; top:263px; z-index:5; width:22px; height:151px;}* html .furrghtd {position:absolute;}.furrghtd a {display:block; width:22px; height:151px; background:#FFA000;}.furrghtd a:hover {background:#FFA000;}.furrghtd img {border:0;}");
        document.write("#poxupih {position:absolute; z-index:1001; width:689px;  top:0px; left:0px; font-size:11px; color:#3F4543; font-family: \"Segoe UI\", Arial, Tahoma, sans-serif;}.poxupih_top {width:689px; height:28px; background:transparent url("+siteAdr+"ideas/images/orange-tmpl/popup_idea_top.png) 0 0 no-repeat;}.poxupih_bt {width:689px; height:28px; background:transparent url("+siteAdr+"ideas/images/orange-tmpl/popup_idea_bt.png) 0 0 no-repeat;}");
        document.write(".poxupih_center {width:689px; background:transparent url("+siteAdr+"ideas/images/orange-tmpl/popup_idea_bg.png) 0 0 repeat-y;}.poxupih1 {margin: 0 20px; overflow:hidden; background:#efefef; padding:0px;}.fdsrrel {float:right; margin:-2px 5px 0 0;}.bvnmrte {padding: 15px 20px 20px 12px; _padding-left:1px; font-family: \"Segoe UI\", Arial, Tahoma, sans-serif; font-size:11px; color:#3F4543; }.poxupih1 .bvnmrte {padding-bottom:10px; padding-top:0px; background:none;}.gertuik {padding:0 8px 0 20px;}");
        document.write("#poxupih #hretge {margin:8px 0px; height:96px; background: #fba11f url("+siteAdr+"ideas/images/orange-tmpl/search_bg.gif) 0 0px no-repeat; position:relative;}#hretge form {padding: 10px 19px 0 18px;}#poxupih #bulbulh {width:455px; float:left;}#adihet {float:right;background: transparent url("+siteAdr+"ideas/images/orange-tmpl/add_idea_go.gif) 0 0px no-repeat; border:none medium; width:132px; height:27px; float:right; margin-right:-3px; cursor:pointer;}");
        document.write("#adihet:hover {background-position: 0 -27px;}.drop_right {background: transparent url("+siteAdr+"ideas/images/orange-tmpl/q_right1.gif) 0% 0px no-repeat; float:right; display:block; width:8px; height:11px; margin-top:1px; font-size:0;}.drop_left {background: transparent url("+siteAdr+"ideas/images/orange-tmpl/q_left1.gif) 0% 0px no-repeat; float:right; display:block; width:8px; height:11px; margin-top:1px;}.status_right {left:15px !important;  text-align:left; float:right; margin:0 -15px 0 0;}");
        document.write("#poxupih  a {position:relative; z-index:10;}#poxupih .idea_green_top {height:1%;}.poxupih_top {_background-image:none; _filter:progid:DXImageTransform.Microsoft.AlphaImageLoader(src='"+siteAdr+"ideas/images/orange-tmpl/popup_idea_top.png');}.poxupih_bt {_background-image:none; _filter:progid:DXImageTransform.Microsoft.AlphaImageLoader(src='"+siteAdr+"ideas/images/orange-tmpl/popup_idea_bt.png');}.poxupih_center {_background-image:none; _filter:progid:DXImageTransform.Microsoft.AlphaImageLoader(src='"+siteAdr+"ideas/images/orange-tmpl/popup_idea_bg.png',sizingmethod='scale');}");
        document.write("a.pokusijy {display:block; width:16px; height:16px; background: transparent url("+siteAdr+"ideas/images/orange-tmpl/cancel.gif) 100% 0px no-repeat; float:right; position:relative; z-index:101;}a.pokusijy:hover {background-position: 100% 100%; cursor:pointer;}.i_prop {font-size:18px; color:#fff; padding: 0 0 5px 0;}#bulbulh {width:600px; padding: 2px 4px; color:#3F4543; font-family: \"Segoe UI\", Arial; font-size:16px; margin-bottom:5px;}#hdsfjfsr {background: transparent url("+siteAdr+"ideas/images/orange-tmpl/search_go.gif) 0 0px no-repeat; border:none medium; width:97px; height:27px; float:right; margin-right:-3px; cursor:pointer;}#hdsfjfsr:hover {background-position: 0 -27px;}");
        document.write("</style>");
    }
    
    this.mo_showframe = function() {
        this.mo_showcss();
        
		                        document.write("<div class=\"furjbqy\"><a href=\"javascript:MyOtziv.mo_show_box();\"><img src=\""+siteAdr+"ideas/images/orange-tmpl/transp.gif\" width=\"22\" height=\"151\" alt=\"\" style=\"border: 0;\" class=\"tdsfh\" /></a></div>");
                    	
		
        document.write("<div style=\"position:absolute; display: none; top: 0px; left: 0px;\" id=\"myotziv_box\">");
        document.write("<div class=\"widsnjx\"><div id=\"poxupih\"><div class=\"poxupih_top\"></div><div class=\"poxupih_center\"><div class=\"poxupih1\">");
        document.write("<div class=\"gertuik\"><a class=\"pokusijy\" title=\"закрыть\" onClick=\"MyOtziv.mo_hide_box();\"></a>");
        document.write("<div class=\"fdsrrel\"><a href=\""+siteAdr+"\" target=\"_blank\"><img src=\""+siteAdr+"ideas/images/orange-tmpl/widget_logo.gif\" width=\"125\" height=\"23\" alt=\"\" border=\"0\" /></a></div>"+sitetitle+"</div>");
        document.write("<div id=\"hretge\"><form action=\"index.php?name=Ideas&op=add_idea\" method=\"post\"><fieldset><div class=\"i_prop\">Я предлагаю вам...</div><input id=\"bulbulh\" name=\"title\" type=\"text\" /><input type=\"submit\" value=\"\" id=\"adihet\" /></fieldset></form></div>");
		
		document.write("<div class=\"bvnmrte\" style=\"height: 250px;\" id=\"fthere\">");
		document.write("</div>");
		
		document.write("</div></div><div class=\"poxupih_bt\"></div></div></div>");        
        
        document.write("</div>");
    }
}

var MyOtziv = new MyOtzivCl();	
MyOtziv.mo_showframe();